Loading...
Searching...
No Matches
janus_sdp Struct Reference

Janus SDP internal object representation. More...

`#include <sdp-utils.h>`

Collaboration diagram for janus_sdp:
[legend]

## Data Fields

int | version
| v=
char * | o_name
| o= name
guint64 | o_sessid
| o= session ID
guint64 | o_version
| o= version
gboolean | o_ipv4
| o= protocol
char * | o_addr
| o= address
char * | s_name
| s=
guint64 | t_start
| t= start
guint64 | t_stop
| t= stop
gboolean | c_ipv4
| c= protocol (not rendered for WebRTC usage)
char * | c_addr
| c= address (not rendered for WebRTC usage)
GList * | attributes
| List of global a= attributes.
GList * | m_lines
| List of m= m-lines.
volatile gint | destroyed
| Atomic flag to check if this instance has been destroyed.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

Janus SDP internal object representation.

## Field Documentation

## attributes

GList* janus_sdp::attributes

List of global a= attributes.

## c_addr

char* janus_sdp::c_addr

c= address (not rendered for WebRTC usage)

## c_ipv4

gboolean janus_sdp::c_ipv4

c= protocol (not rendered for WebRTC usage)

## destroyed

volatile gint janus_sdp::destroyed

Atomic flag to check if this instance has been destroyed.

## m_lines

GList* janus_sdp::m_lines

List of m= m-lines.

## o_addr

char* janus_sdp::o_addr

o= address

## o_ipv4

gboolean janus_sdp::o_ipv4

o= protocol

## o_name

char* janus_sdp::o_name

o= name

## o_sessid

guint64 janus_sdp::o_sessid

o= session ID

## o_version

guint64 janus_sdp::o_version

o= version

## ref

janus_refcount janus_sdp::ref

Reference counter for this instance.

## s_name

char* janus_sdp::s_name

s=

## t_start

guint64 janus_sdp::t_start

t= start

## t_stop

guint64 janus_sdp::t_stop

t= stop

## version

int janus_sdp::version

v=

The documentation for this struct was generated from the following file:

- sdp-utils.h